package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import
org.springframework.boot.autoconfigure.SpringBootApplication;

import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.ApplicationContext;
import java.util.Arrays;
import com.example.demo.entity.Item;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.apache.ibatis.session.SqlSessionFactory;
import org.mybatis.spring.SqlSessionFactoryBean;
import org.springframework.context.annotation.Bean;
import javax.sql.DataSource;
//import org.springframework.core.io.support.PathMatchingResourcePatternReso
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;
import org.springframework.core.io.Resource;
@RestController
@SpringBootApplication
// @EntityScan(basePackageClasses = {Item.class})
public class DemoApplication{// implements CommandLineRunner{
// @Autowired
// private ApplicationContext appContext;
    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
}
@Bean
    public SqlSessionFactory sqlSessionFactory(DataSource
dataSource) throws Exception {
        SqlSessionFactoryBean sessionFactory = new
SqlSessionFactoryBean();
        sessionFactory.setDataSource(dataSource);
        Resource[] res = new
PathMatchingResourcePatternResolver().getResources("mapper/UserMapper.xml");
sessionFactory.setMapperLocations(res);
    return sessionFactory.getObject();
}
}
